com.datecs.barcode

## Class Barcode

- java.lang.Object
- - com.datecs.barcode.Barcode

-     public class Barcode
      extends java.lang.Object

  This class represents an extracted barcode information.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `BARCODE_ALL` ALL (Not specify)
    `static int` | `BARCODE_AZTEK` AZTEK
    `static int` | `BARCODE_CCA` CCA
    `static int` | `BARCODE_CCB` CCB
    `static int` | `BARCODE_CCC` CCC
    `static int` | `BARCODE_CODABAR` CODABAR
    `static int` | `BARCODE_CODABAR_ABC` CODABAR ABC
    `static int` | `BARCODE_CODABAR_CX` CODABAR CX
    `static int` | `BARCODE_CODE11` CODE11
    `static int` | `BARCODE_CODE128` CODE128
    `static int` | `BARCODE_CODE25_I2OF5` CODE25 I2OF5
    `static int` | `BARCODE_CODE25_NI2OF5` CODE25 NI2OF5
    `static int` | `BARCODE_CODE39` CODE39
    `static int` | `BARCODE_CODE39_FULL` CODE39 FULL
    `static int` | `BARCODE_CODE93` CODE93
    `static int` | `BARCODE_CPCBINARY` CPCBINARY
    `static int` | `BARCODE_DATAMATRIX` DATAMATRIX
    `static int` | `BARCODE_DUN14` DUN14
    `static int` | `BARCODE_EAN128` EAN128
    `static int` | `BARCODE_EAN13` EAN13
    `static int` | `BARCODE_EAN13_2` EAN13 2
    `static int` | `BARCODE_EAN13_5` EAN13 5
    `static int` | `BARCODE_EAN2` EAN2
    `static int` | `BARCODE_EAN5` EAN5
    `static int` | `BARCODE_EAN8` EAN8
    `static int` | `BARCODE_EAN8_2` EAN8 2
    `static int` | `BARCODE_EAN8_5` EAN8 5
    `static int` | `BARCODE_GS1DATABAR` GS1 DATABAR
    `static int` | `BARCODE_IATA` IATA
    `static int` | `BARCODE_INTELLIGENT_MAIL` INTELLIGENT_MAI
    `static int` | `BARCODE_ITA_PHARMA` ITA PHARMA
    `static int` | `BARCODE_ITF14` ITF14
    `static int` | `BARCODE_KOREAN_POSTAL` KOREAN POSTAL
    `static int` | `BARCODE_LAST` LAST
    `static int` | `BARCODE_LATENT_IMAGE` LATENT IMAGE
    `static int` | `BARCODE_MATRIX_2OF5` MATRIX 2OF5
    `static int` | `BARCODE_MAXICODE` MAXICODE
    `static int` | `BARCODE_MICROPDF417` MICROPDF417
    `static int` | `BARCODE_MSI_PLESSEY` MSI PLESSEY
    `static int` | `BARCODE_PDF417` PDF417
    `static int` | `BARCODE_PHARMACODE` PHARMACODE
    `static int` | `BARCODE_PLANET` PLANET
    `static int` | `BARCODE_POSTBAR` POSTBAR
    `static int` | `BARCODE_POSTNET` POSTNET
    `static int` | `BARCODE_QRCODE` QRCODE
    `static int` | `BARCODE_RESERVED1` RESERVED 1
    `static int` | `BARCODE_RESERVED2` RESERVED 2
    `static int` | `BARCODE_RESERVED3` RESERVED 3
    `static int` | `BARCODE_RESERVED4` RESERVED 4
    `static int` | `BARCODE_RESERVED5` RESERVED 5
    `static int` | `BARCODE_RM4SCC` RM4SCC
    `static int` | `BARCODE_SCODE` SCODE
    `static int` | `BARCODE_TELEPEN` TELEPEN
    `static int` | `BARCODE_UK_PLESSEY` UK PLESSEY
    `static int` | `BARCODE_UNKNOWN` UNKNOWN
    `static int` | `BARCODE_UPCA` UPCA
    `static int` | `BARCODE_UPCA_2` UPCA 2
    `static int` | `BARCODE_UPCA_5` UPCA 5
    `static int` | `BARCODE_UPCE` UPCE
    `static int` | `BARCODE_UPCE_2` UPCE 2
    `static int` | `BARCODE_UPCE_5` UPCE 5

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `getData()` Get barcode data.
    `java.lang.String` | `getDataString()` Get barcode data as string.
    `java.lang.String` | `getISO15424()` Get barcode type as ISO/IEC 15424.
    `int` | `getType()` Get barcode type.
    `java.lang.String` | `getTypeString()` Get barcode type as String.
    `boolean` | `isOpticonEngine()` Return if the barcode is scanned with opticon engine.
    `static Barcode` | `parse(byte[] input)` Parse data to return barcode information.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### BARCODE_ALL

          public static final int BARCODE_ALL

      ALL (Not specify)
      See Also:
        Constant Field Values

    - #### BARCODE_UPCA

          public static final int BARCODE_UPCA

      UPCA
      See Also:
        Constant Field Values

    - #### BARCODE_CODABAR

          public static final int BARCODE_CODABAR

      CODABAR
      See Also:
        Constant Field Values

    - #### BARCODE_CODE25_NI2OF5

          public static final int BARCODE_CODE25_NI2OF5

      CODE25 NI2OF5
      See Also:
        Constant Field Values

    - #### BARCODE_CODE25_I2OF5

          public static final int BARCODE_CODE25_I2OF5

      CODE25 I2OF5
      See Also:
        Constant Field Values

    - #### BARCODE_CODE39

          public static final int BARCODE_CODE39

      CODE39
      See Also:
        Constant Field Values

    - #### BARCODE_CODE93

          public static final int BARCODE_CODE93

      CODE93
      See Also:
        Constant Field Values

    - #### BARCODE_CODE128

          public static final int BARCODE_CODE128

      CODE128
      See Also:
        Constant Field Values

    - #### BARCODE_CODE11

          public static final int BARCODE_CODE11

      CODE11
      See Also:
        Constant Field Values

    - #### BARCODE_CPCBINARY

          public static final int BARCODE_CPCBINARY

      CPCBINARY
      See Also:
        Constant Field Values

    - #### BARCODE_DUN14

          public static final int BARCODE_DUN14

      DUN14
      See Also:
        Constant Field Values

    - #### BARCODE_EAN2

          public static final int BARCODE_EAN2

      EAN2
      See Also:
        Constant Field Values

    - #### BARCODE_EAN5

          public static final int BARCODE_EAN5

      EAN5
      See Also:
        Constant Field Values

    - #### BARCODE_EAN8

          public static final int BARCODE_EAN8

      EAN8
      See Also:
        Constant Field Values

    - #### BARCODE_EAN13

          public static final int BARCODE_EAN13

      EAN13
      See Also:
        Constant Field Values

    - #### BARCODE_EAN128

          public static final int BARCODE_EAN128

      EAN128
      See Also:
        Constant Field Values

    - #### BARCODE_GS1DATABAR

          public static final int BARCODE_GS1DATABAR

      GS1 DATABAR
      See Also:
        Constant Field Values

    - #### BARCODE_ITF14

          public static final int BARCODE_ITF14

      ITF14
      See Also:
        Constant Field Values

    - #### BARCODE_LATENT_IMAGE

          public static final int BARCODE_LATENT_IMAGE

      LATENT IMAGE
      See Also:
        Constant Field Values

    - #### BARCODE_PHARMACODE

          public static final int BARCODE_PHARMACODE

      PHARMACODE
      See Also:
        Constant Field Values

    - #### BARCODE_PLANET

          public static final int BARCODE_PLANET

      PLANET
      See Also:
        Constant Field Values

    - #### BARCODE_POSTNET

          public static final int BARCODE_POSTNET

      POSTNET
      See Also:
        Constant Field Values

    - #### BARCODE_INTELLIGENT_MAIL

          public static final int BARCODE_INTELLIGENT_MAIL

      INTELLIGENT_MAI
      See Also:
        Constant Field Values

    - #### BARCODE_MSI_PLESSEY

          public static final int BARCODE_MSI_PLESSEY

      MSI PLESSEY
      See Also:
        Constant Field Values

    - #### BARCODE_POSTBAR

          public static final int BARCODE_POSTBAR

      POSTBAR
      See Also:
        Constant Field Values

    - #### BARCODE_RM4SCC

          public static final int BARCODE_RM4SCC

      RM4SCC
      See Also:
        Constant Field Values

    - #### BARCODE_TELEPEN

          public static final int BARCODE_TELEPEN

      TELEPEN
      See Also:
        Constant Field Values

    - #### BARCODE_UK_PLESSEY

          public static final int BARCODE_UK_PLESSEY

      UK PLESSEY
      See Also:
        Constant Field Values

    - #### BARCODE_PDF417

          public static final int BARCODE_PDF417

      PDF417
      See Also:
        Constant Field Values

    - #### BARCODE_MICROPDF417

          public static final int BARCODE_MICROPDF417

      MICROPDF417
      See Also:
        Constant Field Values

    - #### BARCODE_DATAMATRIX

          public static final int BARCODE_DATAMATRIX

      DATAMATRIX
      See Also:
        Constant Field Values

    - #### BARCODE_AZTEK

          public static final int BARCODE_AZTEK

      AZTEK
      See Also:
        Constant Field Values

    - #### BARCODE_QRCODE

          public static final int BARCODE_QRCODE

      QRCODE
      See Also:
        Constant Field Values

    - #### BARCODE_MAXICODE

          public static final int BARCODE_MAXICODE

      MAXICODE
      See Also:
        Constant Field Values

    - #### BARCODE_RESERVED1

          public static final int BARCODE_RESERVED1

      RESERVED 1
      See Also:
        Constant Field Values

    - #### BARCODE_RESERVED2

          public static final int BARCODE_RESERVED2

      RESERVED 2
      See Also:
        Constant Field Values

    - #### BARCODE_RESERVED3

          public static final int BARCODE_RESERVED3

      RESERVED 3
      See Also:
        Constant Field Values

    - #### BARCODE_RESERVED4

          public static final int BARCODE_RESERVED4

      RESERVED 4
      See Also:
        Constant Field Values

    - #### BARCODE_RESERVED5

          public static final int BARCODE_RESERVED5

      RESERVED 5
      See Also:
        Constant Field Values

    - #### BARCODE_UPCA_2

          public static final int BARCODE_UPCA_2

      UPCA 2
      See Also:
        Constant Field Values

    - #### BARCODE_UPCA_5

          public static final int BARCODE_UPCA_5

      UPCA 5
      See Also:
        Constant Field Values

    - #### BARCODE_UPCE

          public static final int BARCODE_UPCE

      UPCE
      See Also:
        Constant Field Values

    - #### BARCODE_UPCE_2

          public static final int BARCODE_UPCE_2

      UPCE 2
      See Also:
        Constant Field Values

    - #### BARCODE_UPCE_5

          public static final int BARCODE_UPCE_5

      UPCE 5
      See Also:
        Constant Field Values

    - #### BARCODE_EAN13_2

          public static final int BARCODE_EAN13_2

      EAN13 2
      See Also:
        Constant Field Values

    - #### BARCODE_EAN13_5

          public static final int BARCODE_EAN13_5

      EAN13 5
      See Also:
        Constant Field Values

    - #### BARCODE_EAN8_2

          public static final int BARCODE_EAN8_2

      EAN8 2
      See Also:
        Constant Field Values

    - #### BARCODE_EAN8_5

          public static final int BARCODE_EAN8_5

      EAN8 5
      See Also:
        Constant Field Values

    - #### BARCODE_CODE39_FULL

          public static final int BARCODE_CODE39_FULL

      CODE39 FULL
      See Also:
        Constant Field Values

    - #### BARCODE_ITA_PHARMA

          public static final int BARCODE_ITA_PHARMA

      ITA PHARMA
      See Also:
        Constant Field Values

    - #### BARCODE_CODABAR_ABC

          public static final int BARCODE_CODABAR_ABC

      CODABAR ABC
      See Also:
        Constant Field Values

    - #### BARCODE_CODABAR_CX

          public static final int BARCODE_CODABAR_CX

      CODABAR CX
      See Also:
        Constant Field Values

    - #### BARCODE_SCODE

          public static final int BARCODE_SCODE

      SCODE
      See Also:
        Constant Field Values

    - #### BARCODE_MATRIX_2OF5

          public static final int BARCODE_MATRIX_2OF5

      MATRIX 2OF5
      See Also:
        Constant Field Values

    - #### BARCODE_IATA

          public static final int BARCODE_IATA

      IATA
      See Also:
        Constant Field Values

    - #### BARCODE_KOREAN_POSTAL

          public static final int BARCODE_KOREAN_POSTAL

      KOREAN POSTAL
      See Also:
        Constant Field Values

    - #### BARCODE_CCA

          public static final int BARCODE_CCA

      CCA
      See Also:
        Constant Field Values

    - #### BARCODE_CCB

          public static final int BARCODE_CCB

      CCB
      See Also:
        Constant Field Values

    - #### BARCODE_CCC

          public static final int BARCODE_CCC

      CCC
      See Also:
        Constant Field Values

    - #### BARCODE_LAST

          public static final int BARCODE_LAST

      LAST
      See Also:
        Constant Field Values

    - #### BARCODE_UNKNOWN

          public static final int BARCODE_UNKNOWN

      UNKNOWN
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### parse

          public static final Barcode parse(byte[] input)

      Parse data to return barcode information.
      Parameters:
        `input` - the input data.
      Returns:
        new Barcode object.

    - #### getType

          public int getType()

      Get barcode type.
      Returns:
        barcode type.

    - #### getTypeString

          public java.lang.String getTypeString()

      Get barcode type as String.
      Returns:
        barcode type.

    - #### getISO15424

          public java.lang.String getISO15424()

      Get barcode type as ISO/IEC 15424.
      Returns:
        barcode type.

    - #### getData

          public byte[] getData()

      Get barcode data.
      Returns:
        barcode data.

    - #### getDataString

          public java.lang.String getDataString()

      Get barcode data as string.
      Returns:
        barcode data.

    - #### isOpticonEngine

          public boolean isOpticonEngine()

      Return if the barcode is scanned with opticon engine.
      Returns:
        true if scan engine is Opticon.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`